Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006905TestLinkReports - Failed/Blocked Test Casespublic2015-01-25 15:132015-02-07 10:52
Reporterswang3 
Assigned Tofman 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006905: Link to test case is still raw link (no title) in email(HTML) type of test report
DescriptionWhen the test report (blocked/failed test case) is exported as email type, in the test case column, test case is shown as raw link like this:
http://10.203.5.95/testlink/linkto.php?tprojectPrefix=HK&item=testcase&id=HK-142 [^]
It's expected to see it as a title with a hyperlink.

I have attached a test report email on this. As you can see that the test case is with raw link, however, the bug ID is shown as title with hyperlink.
I looked into the source code in resultsByStatus.php from line 201 to line 211. It looks fine when it tries to build the html <a> tag.

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesmsg file icon Blocked Test Cases Test Project HGI KreaTV Projects Test Plan MK_TP_HMC3000(V4 0)_NKS.msg [^] (603,136 bytes) 2015-01-25 15:14

- Relationships
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022596)
fman (administrator)
2015-01-31 11:15

https://gitorious.org/testlink-ga/testlink-code/commits/1abc102a4cdbd13deef79180b66eaf891466bf97 [^]
(0022654)
fman (administrator)
2015-02-07 10:52

1.9.13 released 20150207

- Issue History
Date Modified Username Field Change
2015-01-25 15:13 swang3 New Issue
2015-01-25 15:14 swang3 File Added: Blocked Test Cases Test Project HGI KreaTV Projects Test Plan MK_TP_HMC3000(V4 0)_NKS.msg
2015-01-25 16:18 fman QA Team - Task Workflow Status => TBD
2015-01-25 16:18 fman Description Updated View Revisions
2015-01-31 11:15 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-01-31 11:15 fman Note Added: 0022596
2015-01-31 11:15 fman Status new => resolved
2015-01-31 11:15 fman Fixed in Version => 1.9.13 (2015 #1)
2015-01-31 11:15 fman Resolution open => fixed
2015-01-31 11:15 fman Assigned To => fman
2015-01-31 11:16 fman Relationship added child of 0006609
2015-02-07 10:52 fman Note Added: 0022654
2015-02-07 10:52 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker